WESNOTH(6)

NIMI
wesnoth – Taistelu Wesnothista, vuoropohjainen fantasiastrategiapeli

TIIVISTELMÄ
wesnoth [VALITSIMET] [DATAHAKEMISTO]

KUVAUS
Taistelu Wesnothista on vuoropohjainen fantasiastrategiapeli. Kukista kaikki vihollisjohtajat käyttäen tarkoin valittua ydinjoukkoa ja huolehdi samalla kulta- ja kyläresursseistasi. Kaikilla yksiköillä on omat vahvuutensa ja heikkoutensa; järjestä joukkosi mahdollisimman edullisiin asemiin estäen samalla vastustajia tekemästä samoin. Kerätessään kokemusta yksiköt oppivat uusia taitoja ja kehittyvät voimakkaammiksi. Pelaa omalla kielelläsi ja testaa taitojasi älykästä tietokonevastustajaa vastaan tai liity Wesnothin suureen nettipelaajien yhteisöön. Luo omia, uudenlaisia yksiköitä, skenaarioita tai kampanjoitasi ja jaa ne muiden pelaajien kanssa.

VALITSIMET

--bpp luku
    Asettaa värisyvyyden (bits per pixel). Esimerkki: --bpp 32

-c, --campaign  [<kampanjan_tunniste>]
    aloittaa suoraan kampanjasta, jonka tunniste on <kamppanjan_tunniste>. Kampanjavalikko näytetään, jos tunnistetta ei ole määritetty. Huom: Käyttäessäsi tätä kytkintä, varmista, että datahakemiston polku on viimeisenä argumenttina. Muuten peli olettaa, että kampanjan/ skenaarion tunniste on myös datahakemisto.

--campaign-difficulty [<difficulty>]
    Annetun kampanjan vaikeustaso (1:stä maksimiin). Jos vaikeustasoa ei ole annettu, näytetään vaikeustason valikko.

--campaign-scenario <skenaarion_tunniste>
    Skenaarion tunniste annetussa kampanjassa. Oletusarvo on ensimmäinen kampanja.

--data-dir <hakemisto>
    korvaa datahakemiston annetulla polulla

--data-path
    path the path of the data directory and exits.

-d, --debug
    Mahdollistaa ylimääräisiä komentotila-asetuksia pelissä. (Katso wiki-sivulta http://www.wesnoth.org/wiki/CommandMode lisätietoja komentotilasta.)

-e, --editor tiedosto
    Käynnistää pelinsisäisen karttaeditorin suoraan. Jos tiedosto on syötetty, komento vastaa komentoa -e --load

--fps
    Näyttää pelin kuvanpäivitysnopeuden (frames per second, päivityksiä sekunnissa) ruudun kulmassa.

-f, --fullscreen
    Käynnistää pelin kokoruututilassa.

--gunzip syötetiedosto.gz
    Purkaa tiedoston, jonka tulisi olla gzip-muodossa, ja tallentaa sen ilman .gz-päätettä. Poistaa syötetiedosto.gz:n.

--gzip syötetiedosto
    Pakkaa tiedoston gzip-muodossa, tallentaa sen nimellä syötetiedosto.gz ja poistaa syötetiedoston.

-h, --help
    Näyttää koosteen komentorivivalitsimista ja lopettaa.

-l, --load tiedosto
    Lataa tallennuksen tiedosto normaalista tallennushakemistosta. Jos valitsinta -e tai --editor käytetään myös, käynnistää editorin tiedostossa oleva kartta avattuna. Jos kyseessä on hakemisto, käynnistää editorin kartanlatausdialogi avoinna.

--log-taso=aihealue1,aihealue2,...
    Asettaa vakavuusasteen lokin aihealueille. Sana all vastaa kaikkia aihealueita. Käytettävissä olevat tasot: error, warning, info, debug. Oletuksena käytetään tasoa error.

--logdomains
    listaa määritetyt lokit (vain sellaiset, jotka sisältää filter, jos sitä käytetään) ja sulkee ohjelman

--max-fps
    Asettaa enimmäisarvon kuvanpäivitysten määrälle sekunnissa. Arvon tulee olla väliltä 1–1000. Oletus on 50.

-m, --multiplayer
    Käynnistää moninpelin. Joitakiin valitsimia voi yhdistää valitsimen --multiplayer kanssa, kuten alla selitetään. Vain nämä valinnaiset valitsimet voivat olla tämän valitsimen jälkeen.

--no-delay
    Käynnistää pelin ilman viiveitä graafisen suorituskyvyn mittausta varten. Tämä on automaattisesti päällä käytettäessä valitsinta --nogui.

--nocache
    Estää välimuistin luomisen pelidatasta.

--nomusic
    Käynnistää pelin ilman musiikkia.

--nosound
    Käynnistää pelin ilman ääniä ja musiikkia.

--path
    Näyttää pelidatahakemiston nimen ja lopettaa.

-p, --preprocess <source file/folder> <target directory>
    preprocesses a specified file/folder. For each file(s) a plain .cfg file and a processed .cfg file will be written in specified target directory. If a folder is specified, it will be preprocessed recursively based on the known preprocessor rules. The common macroses from the "data/core/macros" directory will be preprocessed before the specified resources. Example: -p ~/wesnoth/data/campaigns/tutorial ~/result. For details regarding the preprocessor visit: http://wiki.wesnoth.org/PreprocessorRef#Command-line_preprocessor

--preprocess-defines=DEFINE1,DEFINE2,etc
    comma separated list of defines to be used by the '--preprocess' command. If SKIP_CORE is in the define list the "data/core" directory won't be preprocessed.

--preprocess-input-macros <lähdetiedosto>
    vain '--preprocess' komento käyttää. Määrittää [preproc_define]:it sisältävän tiedoston, joka lisätään ennen esikäsittelyä.

--preprocess-output-macros [<kohdetiedosto>]
    vain '--preprocess' komento käyttää. Tulostaa kaikki esikäsitellyt makrot kohdetiedostoon. Jos tiedostonimeä ei ole annettu, sen nimeksi annetaan '_MACROS.cfg', joka sijoitetaan esikäsittelykomennon kohdekansioon. Tätä kytkintä kannattaa käyttää ennen --preprocess komentoa.

-r XxY, --resolution XxY
    Asettaa kuvatarkkuuden. Esimerkki: -r 800x600

-s, --server [kone]
    Ottaa yhteyden valittuun koneeseen, muutoin ottaa yhteyden ensimmäiseen palvelimeen asetuksissa. Esimerkki: --server server.wesnoth.org

--username<username>
    uses <username> when connecting to a server, ignoring other preferences.

--password<password>
    uses <password> when connecting to a server, ignoring other preferences. Unsafe.

--strict-validation
    kelpoisuusvirheitä käsitellään vakavina virheinä.

-t, --test
    Käynnistää pelin pienessä testiskenaariossa.

--userconfig-dir name
    sets the user configuration directory to name under $HOME or "My Documents\My Games" for windows. You can also specify an absolute path for the configuration directory outside the $HOME or "My Documents\My Games". Under X11 this defaults to $XDG_CONFIG_HOME or $HOME/.config/wesnoth, on other systems to the userdata path.

--userconfig-path
    Näyttää käyttäjän asetushakemiston polun ja lopettaa.

--userdata-dir name
    sets the userdata directory to name under $HOME or "My Documents\My Games" for windows. You can also specify an absolute path for the userdata directory outside the $HOME or "My Documents\My Games".

--userdata-path
    prints the path of the userdata directory and exits.

--validcache
    Olettaa, että välimuisti on validi. (Vaarallista.)

-v, --version
    Näyttää versionumeron ja lopettaa.

-w, --windowed
    Käynnistää pelin ikkunoidussa tilassa.

--with-replay
    Toistaa uusinnan pelistä, joka ladataan valitsimella --load.

Valitsimen --multiplayer kanssa käytettävät valitsimet
Osapuolikohtaisissa moninpelivalitsimissa on numero-kenttä. Se täytyy korvata puolen numerolla. Yleensä numero on 1 tai 2, mutta voi olla suurempikin riippuen valitun skenaarion mahdollisesta pelaajamäärästä.

--ai_confignumero=arvo
    Valitsee asetustiedoston tekoälyn lataamiseksi tälle puolelle.

--algorithmnumero=arvo
    Valitsee puolta kontrolloivalle tekoälylle tavallisesta poikkeavan algoritmin. Mahdollisia arvoja: idle_ai, sample_ai.

--controllernumero=arvo
    Valitsee puolen kontrolloijan. Mahdolliset arvot ovat human ja ai.

--era=arvo
    Tällä valitsimella voi valita pelattavan aikakauden oletusaikakauden sijaan. Aikakausi valitaan tunnisteen (id) perusteella. Aikakaudet on kuvattu tiedostossa data/multiplayer/eras.cfg.

--exit-at-end
    Lopettaa skenaarion päätyttyä näyttämättä voitto- tai häviöikkunaa, joka täytyisi sulkea klikkaamalla OK:ta. Tätä käytetään myös skriptatussa suorituskykytestauksessa.

--ignore-map-settings
    do not use map settings, use default values instead.

--multiplayer-repeat=value
    repeats a multiplayer game value times. Best to use with --nogui for scriptable benchmarking.

--nogui
    Käynnistää pelin ilman graafista käyttöliittymää. Toimiakseen tämän täytyy olla valitsimen --multiplayer edellä.

--parmnumero=nimi:arvo
    Asettaa puolelle lisäparametreja. Nämä parametrit riippuvat valitsimien --controller ja --algorithm arvoista. Tämä valitsin on todennäköisesti hyödyllinen vain oman tekoälyn kehittäjille. (Ei vielä dokumentoitu täydellisesti.)

--scenario=arvo
    Valitsee moninpeliskenaarion tunnisteen (id) perusteella. Oletustunniste on multiplayer_The_Freelands.

--sidenumero=arvo
    Valitsee liittouman tälle puolelle käytössä olevalta aikakaudelta. Liittouma valitaan tunnisteen (id) perusteella. Liittoumat on kuvattu tiedostossa data/multiplayer.cfg.

--turns=arvo
    Asettaa vuorojen määrän valittuun skenaarioon. Oletus on 50.

PALUUKOODI
Normaali paluukoodi on 0. paluukoodi 1 tarkoittaa (SDL, video, fonttien, jne.) aloitusvirhettä. Paluukoodi 2 tarkoittaa virhettä komentorivillä annetussa komennossa.

TEKIJÄT
Kirjoittanut David White <davidnwhite@verizon.net>.
Muokannut Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> ja Soliton <soliton.de@gmail.com>. Suomentanut Wesnothin suomennosryhmä (http://www.wesnoth.org/wiki/FinnishTranslation).
Tämän manuaalin alkuperäisversion kirjoitti Cyril Bouthors <cyril@bouthors.org>.
Käy virallisella kotisivulla: http://www.wesnoth.org/

TEKIJÄNOIKEUS
Copyright © 2003-2013 David White <davidnwhite@verizon.net>
This is Free Software; this software is licensed under the GPL version 2, as published by the Free Software Foundation. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

KATSO MYÖS
wesnothd(6).